Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(120)

Issue 2039503002: Invalidate only non-scrolling layers for non-scrolling content. (Closed)

Created:
3 years, 10 months ago by chrishtr
Modified:
3 years, 10 months ago
Reviewers:
Xianzhu
CC:
blink-reviews, blink-reviews-layout_chromium.org, chromium-reviews, eae+blinkwatch, jchaffraix+rendering, leviw+renderwatch, pdr+renderingwatchlist_chromium.org, szager+layoutwatch_chromium.org, zoltan1
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Invalidate only non-scrolling layers for non-scrolling content. BUG=416535 Committed: https://crrev.com/59fd991c44d867f1121b1a0c1e0aaaad8c440760 Cr-Commit-Position: refs/heads/master@{#397912}

Patch Set 1 #

Patch Set 2 : #

Patch Set 3 : #

Patch Set 4 : #

Patch Set 5 : #

Patch Set 6 : #

Unified diffs Side-by-side diffs Delta from patch set Stats (+30 lines, -8 lines) Patch
M third_party/WebKit/LayoutTests/TestExpectations View 1 2 3 2 chunks +3 lines, -1 line 0 comments Download
M third_party/WebKit/Source/core/layout/LayoutBoxModelObject.cpp View 1 2 3 1 chunk +3 lines, -1 line 0 comments Download
M third_party/WebKit/Source/core/layout/compositing/CompositedLayerMapping.h View 1 2 1 chunk +2 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/layout/compositing/CompositedLayerMapping.cpp View 1 2 3 4 5 5 chunks +22 lines, -6 lines 0 comments Download

Messages

Total messages: 16 (7 generated)
chrishtr
See PS1 for expected rebaseline results.
3 years, 10 months ago (2016-06-03 18:25:52 UTC) #3
Xianzhu
On 2016/06/03 18:25:52, chrishtr wrote: > See PS1 for expected rebaseline results. In PS1 the ...
3 years, 10 months ago (2016-06-03 18:36:11 UTC) #4
chrishtr
On 2016/06/03 at 18:36:11, wangxianzhu wrote: > On 2016/06/03 18:25:52, chrishtr wrote: > > See ...
3 years, 10 months ago (2016-06-03 22:43:45 UTC) #5
Xianzhu
lgtm Pixel expectations of repaint tests did the job :) lgtm.
3 years, 10 months ago (2016-06-03 22:52:53 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2039503002/80001
3 years, 10 months ago (2016-06-03 22:53:41 UTC) #8
commit-bot: I haz the power
Try jobs failed on following builders: cast_shell_linux on tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/cast_shell_linux/builds/171093)
3 years, 10 months ago (2016-06-03 23:14:40 UTC) #10
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2039503002/100001
3 years, 10 months ago (2016-06-04 06:22:11 UTC) #13
commit-bot: I haz the power
Committed patchset #6 (id:100001)
3 years, 10 months ago (2016-06-04 11:08:32 UTC) #14
commit-bot: I haz the power
3 years, 10 months ago (2016-06-04 11:10:09 UTC) #16
Message was sent while issue was closed.
Patchset 6 (id:??) landed as
https://crrev.com/59fd991c44d867f1121b1a0c1e0aaaad8c440760
Cr-Commit-Position: refs/heads/master@{#397912}

Powered by Google App Engine
This is Rietveld 408576698